Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.1.3
Release: 3tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-ps.tar.gz
Source2: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-doc.tar.gz
BuildRequires: texinfo >= 4.6
BuildRoot: /var/tmp/%{name}-root
Provides: awk

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package doc
Summary: GAWK documents
Group: Trustix Official
Prereq: htmlinfo

%description doc
The documentation for the gawk package

%prep
%setup -q -b 1 -b 2

%build
%configure --bindir=/bin --libexecdir=/usr/lib
make
cd doc
makeinfo --html --no-split gawk.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/html/{gawk,gawkinet}
make DESTDIR=${RPM_BUILD_ROOT} install
strip ${RPM_BUILD_ROOT}/bin/gawk || :
strip ${RPM_BUILD_ROOT}%{_prefix}/lib/awk/* || :

install -m 644 doc/gawk.html $RPM_BUILD_ROOT/usr/share/html/gawk/

( cd $RPM_BUILD_ROOT
  rm -f .%{_infodir}/dir
  mkdir -p .%{_prefix}/bin
  ln -sf gawk.1 .%{_mandir}/man1/awk.1
)
( cd $RPM_BUILD_ROOT
	mkdir -p usr/bin
	cd usr/bin
	ln -s ../../bin/gawk awk
)
rm -f $RPM_BUILD_ROOT/bin/*-%{version} || :

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post doc
/usr/sbin/htmlinfo_update.sh

%postun doc
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root)
/bin/*
/usr/bin/awk
%{_mandir}/man1/*
%{_prefix}/lib/awk
%{_prefix}/share/awk

%files doc
%defattr(-,root,root)
%doc README COPYING FUTURES INSTALL LIMITATIONS NEWS
%doc README_d POSIX.STD 
/usr/share/html/gawk


%changelog
* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 3.1.3-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.1-7tr
- Big rebuild

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 3.1.1-6ct
- Added symlink /usr/bin/awk -> /bin/gawk

* Mon Apr 28 2003 Tore Olsen <toreo at trustix dot com> 3.1.1-5to
- Removed symlinks in /usr/bin
- Moved stuff from /usr/libexec to /usr/lib (FHS compilance)
- Added patch to make grcat work

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.1-4em
- Moved PreReq htmlinfo to -doc package.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.1.1-3em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 3.1.1-2ct
- Replaced info stuff with htmlinfo
- Renamed sub package -docs to -doc

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 3.1.1-1ne
- new upstream version
- specfile cleanups
- Fixed %doc statements in %files, many documents where missing
- splitted into gawk and gawk-docs

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 3.1.0-2dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jun  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 3.1.0
- "unaligned" and networking patches applied upstream, removed

* Wed Sep 13 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to version 3.0.6

* Wed Mar 22 2000 Lars Gaarden <larsg at trustix dot com>
- Fixed manpages

* Sat Mar 18 2000 Michael Tokarev <mjt@tls.msk.ru>
- added %defattr to %files

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man and /usr/info to /usr/share/* for FHS compliance.

* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

